summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOle Markus With <olemarkus@gentoo.org>2012-02-16 11:25:38 +0000
committerOle Markus With <olemarkus@gentoo.org>2012-02-16 11:25:38 +0000
commit6344d1098769a58a5a0fa913baf08fbb085b445a (patch)
tree8742d614c566780a3c25ed1a2672d67244f70773
parentRemoving 0.2.0. No way this ebuild even installs anymore (diff)
downloadhistorical-6344d1098769a58a5a0fa913baf08fbb085b445a.tar.gz
historical-6344d1098769a58a5a0fa913baf08fbb085b445a.tar.bz2
historical-6344d1098769a58a5a0fa913baf08fbb085b445a.zip
Add error message when copying source fails
-rw-r--r--eclass/php-ext-source-r2.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/php-ext-source-r2.eclass b/eclass/php-ext-source-r2.eclass
index d96c31904e84..167c2b57f187 100644
--- a/eclass/php-ext-source-r2.eclass
+++ b/eclass/php-ext-source-r2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.24 2012/01/19 10:12:44 mabi Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.25 2012/02/16 11:25:38 olemarkus Exp $
# @ECLASS: php-ext-source-r2.eclass
# @MAINTAINER:
@@ -104,7 +104,7 @@ php-ext-source-r2_src_unpack() {
unpack ${A}
local slot orig_s="${PHP_EXT_S}"
for slot in $(php_get_slots); do
- cp -r "${orig_s}" "${WORKDIR}/${slot}"
+ cp -r "${orig_s}" "${WORKDIR}/${slot}" || die "Failed to copy source ${orig_s} to PHP target directory"
done
}